<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc -->
<title>SignatureConfig (POI API Documentation)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SignatureConfig (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10,"i50":10,"i51":10,"i52":10,"i53":10,"i54":10,"i55":10,"i56":10,"i57":10,"i58":10,"i59":10,"i60":10,"i61":10,"i62":10,"i63":10,"i64":10,"i65":10,"i66":10,"i67":10,"i68":10,"i69":10,"i70":10,"i71":10,"i72":10,"i73":10,"i74":10,"i75":10,"i76":10,"i77":10,"i78":10,"i79":10,"i80":10,"i81":10,"i82":10,"i83":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SignatureConfig.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/RevokedCertificateSecurityException.html" title="class in org.apache.poi.poifs.crypt.dsig"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.SignatureConfigurable.html" title="interface in org.apache.poi.poifs.crypt.dsig"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/poi/poifs/crypt/dsig/SignatureConfig.html" target="_top">Frames</a></li>
<li><a href="SignatureConfig.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.poi.poifs.crypt.dsig</div>
<h2 title="Class SignatureConfig" class="title">Class SignatureConfig</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.apache.poi.poifs.crypt.dsig.SignatureConfig</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">SignatureConfig</span>
extends java.lang.Object</pre>
<div class="block">This class bundles the configuration options used for the existing
 signature facets.
 Apart of the thread local members (e.g. opc-package) most values will probably be constant, so
 it might be configured centrally (e.g. by spring)</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.SignatureConfigurable.html" title="interface in org.apache.poi.poifs.crypt.dsig">SignatureConfig.SignatureConfigurable</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#SIGNATURE_TIME_FORMAT">SIGNATURE_TIME_FORMAT</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#SignatureConfig--">SignatureConfig</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#addSignatureFacet-org.apache.poi.poifs.crypt.dsig.facets.SignatureFacet-">addSignatureFacet</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/facets/SignatureFacet.html" title="class in org.apache.poi.poifs.crypt.dsig.facets">SignatureFacet</a>&nbsp;signatureFacet)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#formatExecutionTime--">formatExecutionTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getCanonicalizationMethod--">getCanonicalizationMethod</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getDigestAlgo--">getDigestAlgo</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getDigestMethodUri--">getDigestMethodUri</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getDigestMethodUri-org.apache.poi.poifs.crypt.HashAlgorithm-">getDigestMethodUri</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;digestAlgo)</code>
<div class="block">Converts the digest algorithm - currently only sha* and ripemd160 is supported.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getExecutionTime--">getExecutionTime</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.security.PrivateKey</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getKey--">getKey</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>javax.xml.crypto.dsig.keyinfo.KeyInfoFactory</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getKeyInfoFactory--">getKeyInfoFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getNamespacePrefixes--">getNamespacePrefixes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html" title="class in org.apache.poi.openxml4j.opc">OPCPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getOpcPackage--">getOpcPackage</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getPackageSignatureId--">getPackageSignatureId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.security.Provider</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getProvider--">getProvider</a></span>()</code>
<div class="block">This method tests the existence of xml signature provider in the following order:
 
 the class pointed to by the system property "jsr105Provider"
 the Santuario xmlsec provider
 the JDK xmlsec provider
 

 For signing the classes are linked against the Santuario xmlsec, so this might
 only work for validation (not tested).</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getProxyUrl--">getProxyUrl</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/RevocationDataService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">RevocationDataService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getRevocationDataService--">getRevocationDataService</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSignatureDescription--">getSignatureDescription</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/facets/SignatureFacet.html" title="class in org.apache.poi.poifs.crypt.dsig.facets">SignatureFacet</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSignatureFacets--">getSignatureFacets</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>javax.xml.crypto.dsig.XMLSignatureFactory</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSignatureFactory--">getSignatureFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.w3c.dom.events.EventListener</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSignatureMarshalListener--">getSignatureMarshalListener</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSignatureMethodUri--">getSignatureMethodUri</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/SignaturePolicyService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">SignaturePolicyService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSignaturePolicyService--">getSignaturePolicyService</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;java.security.cert.X509Certificate&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getSigningCertificateChain--">getSigningCertificateChain</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspDigestAlgo--">getTspDigestAlgo</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspPass--">getTspPass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspRequestPolicy--">getTspRequestPolicy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspService--">getTspService</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspUrl--">getTspUrl</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspUser--">getTspUser</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampServiceValidator.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampServiceValidator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getTspValidator--">getTspValidator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>javax.xml.crypto.URIDereferencer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getUriDereferencer--">getUriDereferencer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getUserAgent--">getUserAgent</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getXadesCanonicalizationMethod--">getXadesCanonicalizationMethod</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getXadesDigestAlgo--">getXadesDigestAlgo</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getXadesRole--">getXadesRole</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getXadesSignatureId--">getXadesSignatureId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#init-boolean-">init</a></span>(boolean&nbsp;onlyValidation)</code>
<div class="block">Inits and checks the vlookup.config object.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isAllowMultipleSignatures--">isAllowMultipleSignatures</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isIncludeEntireCertificateChain--">isIncludeEntireCertificateChain</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isIncludeIssuerSerial--">isIncludeIssuerSerial</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isIncludeKeyValue--">isIncludeKeyValue</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isTspOldProtocol--">isTspOldProtocol</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isUpdateConfigOnValidate--">isUpdateConfigOnValidate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isXadesIssuerNameNoReverseOrder--">isXadesIssuerNameNoReverseOrder</a></span>()</code>
<div class="block">Make sure the DN is encoded using the same order as present
 within the certificate.</div>
</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isXadesSignaturePolicyImplied--">isXadesSignaturePolicyImplied</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setAllowMultipleSignatures-boolean-">setAllowMultipleSignatures</a></span>(boolean&nbsp;allowMultipleSignatures)</code>
<div class="block">Activate multiple signatures</div>
</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setCanonicalizationMethod-java.lang.String-">setCanonicalizationMethod</a></span>(java.lang.String&nbsp;canonicalizationMethod)</code>&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setDigestAlgo-org.apache.poi.poifs.crypt.HashAlgorithm-">setDigestAlgo</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;digestAlgo)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setExecutionTime-java.util.Date-">setExecutionTime</a></span>(java.util.Date&nbsp;executionTime)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setExecutionTime-java.lang.String-">setExecutionTime</a></span>(java.lang.String&nbsp;executionTime)</code>
<div class="block">Sets the executionTime which is in standard format (<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#SIGNATURE_TIME_FORMAT"><code>SIGNATURE_TIME_FORMAT</code></a>)</div>
</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setIncludeEntireCertificateChain-boolean-">setIncludeEntireCertificateChain</a></span>(boolean&nbsp;includeEntireCertificateChain)</code>&nbsp;</td>
</tr>
<tr id="i50" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setIncludeIssuerSerial-boolean-">setIncludeIssuerSerial</a></span>(boolean&nbsp;includeIssuerSerial)</code>&nbsp;</td>
</tr>
<tr id="i51" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setIncludeKeyValue-boolean-">setIncludeKeyValue</a></span>(boolean&nbsp;includeKeyValue)</code>&nbsp;</td>
</tr>
<tr id="i52" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setKey-java.security.PrivateKey-">setKey</a></span>(java.security.PrivateKey&nbsp;key)</code>&nbsp;</td>
</tr>
<tr id="i53" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setKeyInfoFactory-javax.xml.crypto.dsig.keyinfo.KeyInfoFactory-">setKeyInfoFactory</a></span>(javax.xml.crypto.dsig.keyinfo.KeyInfoFactory&nbsp;keyInfoFactory)</code>&nbsp;</td>
</tr>
<tr id="i54" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setNamespacePrefixes-java.util.Map-">setNamespacePrefixes</a></span>(java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;namespacePrefixes)</code>&nbsp;</td>
</tr>
<tr id="i55" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setOpcPackage-org.apache.poi.openxml4j.opc.OPCPackage-">setOpcPackage</a></span>(<a href="../../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html" title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;opcPackage)</code>&nbsp;</td>
</tr>
<tr id="i56" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setPackageSignatureId-java.lang.String-">setPackageSignatureId</a></span>(java.lang.String&nbsp;packageSignatureId)</code>&nbsp;</td>
</tr>
<tr id="i57" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setProxyUrl-java.lang.String-">setProxyUrl</a></span>(java.lang.String&nbsp;proxyUrl)</code>&nbsp;</td>
</tr>
<tr id="i58" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setRevocationDataService-org.apache.poi.poifs.crypt.dsig.services.RevocationDataService-">setRevocationDataService</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/RevocationDataService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">RevocationDataService</a>&nbsp;revocationDataService)</code>&nbsp;</td>
</tr>
<tr id="i59" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSignatureDescription-java.lang.String-">setSignatureDescription</a></span>(java.lang.String&nbsp;signatureDescription)</code>&nbsp;</td>
</tr>
<tr id="i60" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSignatureFacets-java.util.List-">setSignatureFacets</a></span>(java.util.List&lt;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/facets/SignatureFacet.html" title="class in org.apache.poi.poifs.crypt.dsig.facets">SignatureFacet</a>&gt;&nbsp;signatureFacets)</code>&nbsp;</td>
</tr>
<tr id="i61" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSignatureFactory-javax.xml.crypto.dsig.XMLSignatureFactory-">setSignatureFactory</a></span>(javax.xml.crypto.dsig.XMLSignatureFactory&nbsp;signatureFactory)</code>&nbsp;</td>
</tr>
<tr id="i62" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSignatureMarshalListener-org.w3c.dom.events.EventListener-">setSignatureMarshalListener</a></span>(org.w3c.dom.events.EventListener&nbsp;signatureMarshalListener)</code>&nbsp;</td>
</tr>
<tr id="i63" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSignatureMethodFromUri-java.lang.String-">setSignatureMethodFromUri</a></span>(java.lang.String&nbsp;signatureMethodUri)</code>
<div class="block">Set the digest algorithm based on the method uri.</div>
</td>
</tr>
<tr id="i64" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSignaturePolicyService-org.apache.poi.poifs.crypt.dsig.services.SignaturePolicyService-">setSignaturePolicyService</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/SignaturePolicyService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">SignaturePolicyService</a>&nbsp;signaturePolicyService)</code>&nbsp;</td>
</tr>
<tr id="i65" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setSigningCertificateChain-java.util.List-">setSigningCertificateChain</a></span>(java.util.List&lt;java.security.cert.X509Certificate&gt;&nbsp;signingCertificateChain)</code>&nbsp;</td>
</tr>
<tr id="i66" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspDigestAlgo-org.apache.poi.poifs.crypt.HashAlgorithm-">setTspDigestAlgo</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;tspDigestAlgo)</code>&nbsp;</td>
</tr>
<tr id="i67" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspOldProtocol-boolean-">setTspOldProtocol</a></span>(boolean&nbsp;tspOldProtocol)</code>&nbsp;</td>
</tr>
<tr id="i68" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspPass-java.lang.String-">setTspPass</a></span>(java.lang.String&nbsp;tspPass)</code>&nbsp;</td>
</tr>
<tr id="i69" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspRequestPolicy-java.lang.String-">setTspRequestPolicy</a></span>(java.lang.String&nbsp;tspRequestPolicy)</code>&nbsp;</td>
</tr>
<tr id="i70" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspService-org.apache.poi.poifs.crypt.dsig.services.TimeStampService-">setTspService</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampService</a>&nbsp;tspService)</code>&nbsp;</td>
</tr>
<tr id="i71" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspUrl-java.lang.String-">setTspUrl</a></span>(java.lang.String&nbsp;tspUrl)</code>&nbsp;</td>
</tr>
<tr id="i72" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspUser-java.lang.String-">setTspUser</a></span>(java.lang.String&nbsp;tspUser)</code>&nbsp;</td>
</tr>
<tr id="i73" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setTspValidator-org.apache.poi.poifs.crypt.dsig.services.TimeStampServiceValidator-">setTspValidator</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampServiceValidator.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampServiceValidator</a>&nbsp;tspValidator)</code>&nbsp;</td>
</tr>
<tr id="i74" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setUpdateConfigOnValidate-boolean-">setUpdateConfigOnValidate</a></span>(boolean&nbsp;updateConfigOnValidate)</code>
<div class="block">The signature vlookup.config can be updated if a document is succesful validated.</div>
</td>
</tr>
<tr id="i75" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setUriDereferencer-javax.xml.crypto.URIDereferencer-">setUriDereferencer</a></span>(javax.xml.crypto.URIDereferencer&nbsp;uriDereferencer)</code>&nbsp;</td>
</tr>
<tr id="i76" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setUserAgent-java.lang.String-">setUserAgent</a></span>(java.lang.String&nbsp;userAgent)</code>&nbsp;</td>
</tr>
<tr id="i77" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesCanonicalizationMethod-java.lang.String-">setXadesCanonicalizationMethod</a></span>(java.lang.String&nbsp;xadesCanonicalizationMethod)</code>&nbsp;</td>
</tr>
<tr id="i78" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesDigestAlgo-org.apache.poi.poifs.crypt.HashAlgorithm-">setXadesDigestAlgo</a></span>(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;xadesDigestAlgo)</code>&nbsp;</td>
</tr>
<tr id="i79" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesDigestAlgo-java.lang.String-">setXadesDigestAlgo</a></span>(java.lang.String&nbsp;xadesDigestAlgo)</code>&nbsp;</td>
</tr>
<tr id="i80" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesIssuerNameNoReverseOrder-boolean-">setXadesIssuerNameNoReverseOrder</a></span>(boolean&nbsp;xadesIssuerNameNoReverseOrder)</code>&nbsp;</td>
</tr>
<tr id="i81" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesRole-java.lang.String-">setXadesRole</a></span>(java.lang.String&nbsp;xadesRole)</code>&nbsp;</td>
</tr>
<tr id="i82" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesSignatureId-java.lang.String-">setXadesSignatureId</a></span>(java.lang.String&nbsp;xadesSignatureId)</code>&nbsp;</td>
</tr>
<tr id="i83" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#setXadesSignaturePolicyImplied-boolean-">setXadesSignaturePolicyImplied</a></span>(boolean&nbsp;xadesSignaturePolicyImplied)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SIGNATURE_TIME_FORMAT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SIGNATURE_TIME_FORMAT</h4>
<pre>public static final&nbsp;java.lang.String SIGNATURE_TIME_FORMAT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.apache.poi.poifs.crypt.dsig.SignatureConfig.SIGNATURE_TIME_FORMAT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SignatureConfig--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SignatureConfig</h4>
<pre>public&nbsp;SignatureConfig()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>protected&nbsp;void&nbsp;init(boolean&nbsp;onlyValidation)</pre>
<div class="block">Inits and checks the vlookup.config object.
 If not set previously, complex configuration properties also get
 created/initialized via this initialization call.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>onlyValidation</code> - if true, only a subset of the properties
 is initialized, which are necessary for validation. If false,
 also the other properties needed for signing are been taken care of</dd>
</dl>
</li>
</ul>
<a name="addSignatureFacet-org.apache.poi.poifs.crypt.dsig.facets.SignatureFacet-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addSignatureFacet</h4>
<pre>public&nbsp;void&nbsp;addSignatureFacet(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/facets/SignatureFacet.html" title="class in org.apache.poi.poifs.crypt.dsig.facets">SignatureFacet</a>&nbsp;signatureFacet)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signatureFacet</code> - the signature facet is appended to facet list</dd>
</dl>
</li>
</ul>
<a name="getSignatureFacets--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureFacets</h4>
<pre>public&nbsp;java.util.List&lt;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/facets/SignatureFacet.html" title="class in org.apache.poi.poifs.crypt.dsig.facets">SignatureFacet</a>&gt;&nbsp;getSignatureFacets()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the list of facets, may be empty when the vlookup.config object is not initialized</dd>
</dl>
</li>
</ul>
<a name="setSignatureFacets-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureFacets</h4>
<pre>public&nbsp;void&nbsp;setSignatureFacets(java.util.List&lt;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/facets/SignatureFacet.html" title="class in org.apache.poi.poifs.crypt.dsig.facets">SignatureFacet</a>&gt;&nbsp;signatureFacets)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signatureFacets</code> - the new list of facets</dd>
</dl>
</li>
</ul>
<a name="getDigestAlgo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDigestAlgo</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;getDigestAlgo()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the main digest algorithm, defaults to sha256</dd>
</dl>
</li>
</ul>
<a name="setDigestAlgo-org.apache.poi.poifs.crypt.HashAlgorithm-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDigestAlgo</h4>
<pre>public&nbsp;void&nbsp;setDigestAlgo(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;digestAlgo)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>digestAlgo</code> - the main digest algorithm</dd>
</dl>
</li>
</ul>
<a name="getOpcPackage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOpcPackage</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html" title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;getOpcPackage()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the opc package to be used by this thread, stored as thread-local</dd>
</dl>
</li>
</ul>
<a name="setOpcPackage-org.apache.poi.openxml4j.opc.OPCPackage-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOpcPackage</h4>
<pre>public&nbsp;void&nbsp;setOpcPackage(<a href="../../../../../../org/apache/poi/openxml4j/opc/OPCPackage.html" title="class in org.apache.poi.openxml4j.opc">OPCPackage</a>&nbsp;opcPackage)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>opcPackage</code> - the opc package to be handled by this thread, stored as thread-local</dd>
</dl>
</li>
</ul>
<a name="getKey--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKey</h4>
<pre>public&nbsp;java.security.PrivateKey&nbsp;getKey()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the private key</dd>
</dl>
</li>
</ul>
<a name="setKey-java.security.PrivateKey-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKey</h4>
<pre>public&nbsp;void&nbsp;setKey(java.security.PrivateKey&nbsp;key)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>key</code> - the private key</dd>
</dl>
</li>
</ul>
<a name="getSigningCertificateChain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSigningCertificateChain</h4>
<pre>public&nbsp;java.util.List&lt;java.security.cert.X509Certificate&gt;&nbsp;getSigningCertificateChain()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the certificate chain, index 0 is usually the certificate matching
 the private key</dd>
</dl>
</li>
</ul>
<a name="setSigningCertificateChain-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSigningCertificateChain</h4>
<pre>public&nbsp;void&nbsp;setSigningCertificateChain(java.util.List&lt;java.security.cert.X509Certificate&gt;&nbsp;signingCertificateChain)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signingCertificateChain</code> - the certificate chain, index 0 should be
 the certificate matching the private key</dd>
</dl>
</li>
</ul>
<a name="getExecutionTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExecutionTime</h4>
<pre>public&nbsp;java.util.Date&nbsp;getExecutionTime()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the time at which the document is signed, also used for the timestamp service.
 defaults to now</dd>
</dl>
</li>
</ul>
<a name="setExecutionTime-java.util.Date-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutionTime</h4>
<pre>public&nbsp;void&nbsp;setExecutionTime(java.util.Date&nbsp;executionTime)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>executionTime</code> - sets the time at which the document ought to be signed</dd>
</dl>
</li>
</ul>
<a name="formatExecutionTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatExecutionTime</h4>
<pre>public&nbsp;java.lang.String&nbsp;formatExecutionTime()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the formatted execution time (<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#SIGNATURE_TIME_FORMAT"><code>SIGNATURE_TIME_FORMAT</code></a>)</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.0.0</dd>
</dl>
</li>
</ul>
<a name="setExecutionTime-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExecutionTime</h4>
<pre>public&nbsp;void&nbsp;setExecutionTime(java.lang.String&nbsp;executionTime)</pre>
<div class="block">Sets the executionTime which is in standard format (<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#SIGNATURE_TIME_FORMAT"><code>SIGNATURE_TIME_FORMAT</code></a>)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>executionTime</code> - the execution time</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.0.0</dd>
</dl>
</li>
</ul>
<a name="getSignaturePolicyService--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignaturePolicyService</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/SignaturePolicyService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">SignaturePolicyService</a>&nbsp;getSignaturePolicyService()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the service to be used for XAdES-EPES properties. There's no default implementation</dd>
</dl>
</li>
</ul>
<a name="setSignaturePolicyService-org.apache.poi.poifs.crypt.dsig.services.SignaturePolicyService-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignaturePolicyService</h4>
<pre>public&nbsp;void&nbsp;setSignaturePolicyService(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/SignaturePolicyService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">SignaturePolicyService</a>&nbsp;signaturePolicyService)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signaturePolicyService</code> - the service to be used for XAdES-EPES properties</dd>
</dl>
</li>
</ul>
<a name="getUriDereferencer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUriDereferencer</h4>
<pre>public&nbsp;javax.xml.crypto.URIDereferencer&nbsp;getUriDereferencer()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the dereferencer used for Reference/@URI attributes, defaults to <a href="../../../../../../org/apache/poi/poifs/crypt/dsig/OOXMLURIDereferencer.html" title="class in org.apache.poi.poifs.crypt.dsig"><code>OOXMLURIDereferencer</code></a></dd>
</dl>
</li>
</ul>
<a name="setUriDereferencer-javax.xml.crypto.URIDereferencer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUriDereferencer</h4>
<pre>public&nbsp;void&nbsp;setUriDereferencer(javax.xml.crypto.URIDereferencer&nbsp;uriDereferencer)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>uriDereferencer</code> - the dereferencer used for Reference/@URI attributes</dd>
</dl>
</li>
</ul>
<a name="getSignatureDescription--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureDescription</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSignatureDescription()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Gives back the human-readable description of what the citizen
 will be signing. The default value is "Office OpenXML Document".</dd>
</dl>
</li>
</ul>
<a name="setSignatureDescription-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureDescription</h4>
<pre>public&nbsp;void&nbsp;setSignatureDescription(java.lang.String&nbsp;signatureDescription)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signatureDescription</code> - the human-readable description of
 what the citizen will be signing.</dd>
</dl>
</li>
</ul>
<a name="getCanonicalizationMethod--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCanonicalizationMethod</h4>
<pre>public&nbsp;java.lang.String&nbsp;getCanonicalizationMethod()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the default canonicalization method, defaults to INCLUSIVE</dd>
</dl>
</li>
</ul>
<a name="setCanonicalizationMethod-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCanonicalizationMethod</h4>
<pre>public&nbsp;void&nbsp;setCanonicalizationMethod(java.lang.String&nbsp;canonicalizationMethod)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>canonicalizationMethod</code> - the default canonicalization method</dd>
</dl>
</li>
</ul>
<a name="getPackageSignatureId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPackageSignatureId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPackageSignatureId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The signature Id attribute value used to create the XML signature.
 Defaults to "idPackageSignature"</dd>
</dl>
</li>
</ul>
<a name="setPackageSignatureId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPackageSignatureId</h4>
<pre>public&nbsp;void&nbsp;setPackageSignatureId(java.lang.String&nbsp;packageSignatureId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>packageSignatureId</code> - The signature Id attribute value used to create the XML signature.
 A <code>null</code> value will trigger an automatically generated signature Id.</dd>
</dl>
</li>
</ul>
<a name="getTspUrl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspUrl</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTspUrl()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the url of the timestamp provider (TSP)</dd>
</dl>
</li>
</ul>
<a name="setTspUrl-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspUrl</h4>
<pre>public&nbsp;void&nbsp;setTspUrl(java.lang.String&nbsp;tspUrl)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspUrl</code> - the url of the timestamp provider (TSP)</dd>
</dl>
</li>
</ul>
<a name="isTspOldProtocol--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isTspOldProtocol</h4>
<pre>public&nbsp;boolean&nbsp;isTspOldProtocol()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if true, uses timestamp-request/response mimetype,
 if false, timestamp-query/reply mimetype</dd>
</dl>
</li>
</ul>
<a name="setTspOldProtocol-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspOldProtocol</h4>
<pre>public&nbsp;void&nbsp;setTspOldProtocol(boolean&nbsp;tspOldProtocol)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspOldProtocol</code> - defines the timestamp-protocol mimetype</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#isTspOldProtocol--"><code>isTspOldProtocol()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTspDigestAlgo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspDigestAlgo</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;getTspDigestAlgo()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the hash algorithm to be used for the timestamp entry.
 Defaults to the hash algorithm of the main entry</dd>
</dl>
</li>
</ul>
<a name="setTspDigestAlgo-org.apache.poi.poifs.crypt.HashAlgorithm-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspDigestAlgo</h4>
<pre>public&nbsp;void&nbsp;setTspDigestAlgo(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;tspDigestAlgo)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspDigestAlgo</code> - the algorithm to be used for the timestamp entry.
 if <code>null</code>, the hash algorithm of the main entry</dd>
</dl>
</li>
</ul>
<a name="getProxyUrl--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProxyUrl</h4>
<pre>public&nbsp;java.lang.String&nbsp;getProxyUrl()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the proxy url to be used for all communications.
 Currently this affects the timestamp service</dd>
</dl>
</li>
</ul>
<a name="setProxyUrl-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProxyUrl</h4>
<pre>public&nbsp;void&nbsp;setProxyUrl(java.lang.String&nbsp;proxyUrl)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>proxyUrl</code> - the proxy url to be used for all communications.
 Currently this affects the timestamp service</dd>
</dl>
</li>
</ul>
<a name="getTspService--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspService</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampService</a>&nbsp;getTspService()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the timestamp service. Defaults to <a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TSPTimeStampService.html" title="class in org.apache.poi.poifs.crypt.dsig.services"><code>TSPTimeStampService</code></a></dd>
</dl>
</li>
</ul>
<a name="setTspService-org.apache.poi.poifs.crypt.dsig.services.TimeStampService-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspService</h4>
<pre>public&nbsp;void&nbsp;setTspService(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampService</a>&nbsp;tspService)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspService</code> - the timestamp service</dd>
</dl>
</li>
</ul>
<a name="getTspUser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspUser</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTspUser()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user id for the timestamp service - currently only basic authorization is supported</dd>
</dl>
</li>
</ul>
<a name="setTspUser-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspUser</h4>
<pre>public&nbsp;void&nbsp;setTspUser(java.lang.String&nbsp;tspUser)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspUser</code> - the user id for the timestamp service - currently only basic authorization is supported</dd>
</dl>
</li>
</ul>
<a name="getTspPass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspPass</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTspPass()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password for the timestamp service</dd>
</dl>
</li>
</ul>
<a name="setTspPass-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspPass</h4>
<pre>public&nbsp;void&nbsp;setTspPass(java.lang.String&nbsp;tspPass)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspPass</code> - the password for the timestamp service</dd>
</dl>
</li>
</ul>
<a name="getTspValidator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspValidator</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampServiceValidator.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampServiceValidator</a>&nbsp;getTspValidator()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the validator for the timestamp service (certificate)</dd>
</dl>
</li>
</ul>
<a name="setTspValidator-org.apache.poi.poifs.crypt.dsig.services.TimeStampServiceValidator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspValidator</h4>
<pre>public&nbsp;void&nbsp;setTspValidator(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/TimeStampServiceValidator.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">TimeStampServiceValidator</a>&nbsp;tspValidator)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspValidator</code> - the validator for the timestamp service (certificate)</dd>
</dl>
</li>
</ul>
<a name="getRevocationDataService--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRevocationDataService</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/RevocationDataService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">RevocationDataService</a>&nbsp;getRevocationDataService()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the optional revocation data service used for XAdES-C and XAdES-X-L.
 When <code>null</code> the signature will be limited to XAdES-T only.</dd>
</dl>
</li>
</ul>
<a name="setRevocationDataService-org.apache.poi.poifs.crypt.dsig.services.RevocationDataService-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRevocationDataService</h4>
<pre>public&nbsp;void&nbsp;setRevocationDataService(<a href="../../../../../../org/apache/poi/poifs/crypt/dsig/services/RevocationDataService.html" title="interface in org.apache.poi.poifs.crypt.dsig.services">RevocationDataService</a>&nbsp;revocationDataService)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>revocationDataService</code> - the optional revocation data service used for XAdES-C and XAdES-X-L.
 When <code>null</code> the signature will be limited to XAdES-T only.</dd>
</dl>
</li>
</ul>
<a name="getXadesDigestAlgo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXadesDigestAlgo</h4>
<pre>public&nbsp;<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;getXadesDigestAlgo()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>hash algorithm used for XAdES. Defaults to the <a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getDigestAlgo--"><code>getDigestAlgo()</code></a></dd>
</dl>
</li>
</ul>
<a name="setXadesDigestAlgo-org.apache.poi.poifs.crypt.HashAlgorithm-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesDigestAlgo</h4>
<pre>public&nbsp;void&nbsp;setXadesDigestAlgo(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;xadesDigestAlgo)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesDigestAlgo</code> - hash algorithm used for XAdES.
 When <code>null</code>, defaults to <a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getDigestAlgo--"><code>getDigestAlgo()</code></a></dd>
</dl>
</li>
</ul>
<a name="setXadesDigestAlgo-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesDigestAlgo</h4>
<pre>public&nbsp;void&nbsp;setXadesDigestAlgo(java.lang.String&nbsp;xadesDigestAlgo)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesDigestAlgo</code> - hash algorithm used for XAdES.
 When <code>null</code>, defaults to <a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.html#getDigestAlgo--"><code>getDigestAlgo()</code></a></dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.0.0</dd>
</dl>
</li>
</ul>
<a name="getUserAgent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserAgent</h4>
<pre>public&nbsp;java.lang.String&nbsp;getUserAgent()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the user agent used for http communication (e.g. to the TSP)</dd>
</dl>
</li>
</ul>
<a name="setUserAgent-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserAgent</h4>
<pre>public&nbsp;void&nbsp;setUserAgent(java.lang.String&nbsp;userAgent)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userAgent</code> - the user agent used for http communication (e.g. to the TSP)</dd>
</dl>
</li>
</ul>
<a name="getTspRequestPolicy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTspRequestPolicy</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTspRequestPolicy()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the asn.1 object id for the tsp request policy.
 Defaults to <code>1.3.6.1.4.1.13762.3</code></dd>
</dl>
</li>
</ul>
<a name="setTspRequestPolicy-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTspRequestPolicy</h4>
<pre>public&nbsp;void&nbsp;setTspRequestPolicy(java.lang.String&nbsp;tspRequestPolicy)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tspRequestPolicy</code> - the asn.1 object id for the tsp request policy.</dd>
</dl>
</li>
</ul>
<a name="isIncludeEntireCertificateChain--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIncludeEntireCertificateChain</h4>
<pre>public&nbsp;boolean&nbsp;isIncludeEntireCertificateChain()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the whole certificate chain is included in the signature.
 When false, only the signer cert will be included</dd>
</dl>
</li>
</ul>
<a name="setIncludeEntireCertificateChain-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeEntireCertificateChain</h4>
<pre>public&nbsp;void&nbsp;setIncludeEntireCertificateChain(boolean&nbsp;includeEntireCertificateChain)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>includeEntireCertificateChain</code> - if true, include the whole certificate chain.
 If false, only include the signer cert</dd>
</dl>
</li>
</ul>
<a name="isIncludeIssuerSerial--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIncludeIssuerSerial</h4>
<pre>public&nbsp;boolean&nbsp;isIncludeIssuerSerial()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if true, issuer serial number is included</dd>
</dl>
</li>
</ul>
<a name="setIncludeIssuerSerial-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeIssuerSerial</h4>
<pre>public&nbsp;void&nbsp;setIncludeIssuerSerial(boolean&nbsp;includeIssuerSerial)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>includeIssuerSerial</code> - if true, issuer serial number is included</dd>
</dl>
</li>
</ul>
<a name="isIncludeKeyValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isIncludeKeyValue</h4>
<pre>public&nbsp;boolean&nbsp;isIncludeKeyValue()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>if true, the key value of the public key (certificate) is included</dd>
</dl>
</li>
</ul>
<a name="setIncludeKeyValue-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIncludeKeyValue</h4>
<pre>public&nbsp;void&nbsp;setIncludeKeyValue(boolean&nbsp;includeKeyValue)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>includeKeyValue</code> - if true, the key value of the public key (certificate) is included</dd>
</dl>
</li>
</ul>
<a name="getXadesRole--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXadesRole</h4>
<pre>public&nbsp;java.lang.String&nbsp;getXadesRole()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the xades role element. If <code>null</code> the claimed role element is omitted.
 Defaults to <code>null</code></dd>
</dl>
</li>
</ul>
<a name="setXadesRole-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesRole</h4>
<pre>public&nbsp;void&nbsp;setXadesRole(java.lang.String&nbsp;xadesRole)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesRole</code> - the xades role element. If <code>null</code> the claimed role element is omitted.</dd>
</dl>
</li>
</ul>
<a name="getXadesSignatureId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXadesSignatureId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getXadesSignatureId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Id for the XAdES SignedProperties element.
 Defaults to <code>idSignedProperties</code></dd>
</dl>
</li>
</ul>
<a name="setXadesSignatureId-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesSignatureId</h4>
<pre>public&nbsp;void&nbsp;setXadesSignatureId(java.lang.String&nbsp;xadesSignatureId)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesSignatureId</code> - the Id for the XAdES SignedProperties element.
 When <code>null</code> defaults to <code>idSignedProperties</code></dd>
</dl>
</li>
</ul>
<a name="isXadesSignaturePolicyImplied--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isXadesSignaturePolicyImplied</h4>
<pre>public&nbsp;boolean&nbsp;isXadesSignaturePolicyImplied()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>when true, include the policy-implied block.
 Defaults to <code>true</code></dd>
</dl>
</li>
</ul>
<a name="setXadesSignaturePolicyImplied-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesSignaturePolicyImplied</h4>
<pre>public&nbsp;void&nbsp;setXadesSignaturePolicyImplied(boolean&nbsp;xadesSignaturePolicyImplied)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesSignaturePolicyImplied</code> - when true, include the policy-implied block</dd>
</dl>
</li>
</ul>
<a name="isXadesIssuerNameNoReverseOrder--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isXadesIssuerNameNoReverseOrder</h4>
<pre>public&nbsp;boolean&nbsp;isXadesIssuerNameNoReverseOrder()</pre>
<div class="block">Make sure the DN is encoded using the same order as present
 within the certificate. This is an Office2010 work-around.
 Should be reverted back.

 XXX: not correct according to RFC 4514.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>when true, the issuer DN is used instead of the issuer X500 principal</dd>
</dl>
</li>
</ul>
<a name="setXadesIssuerNameNoReverseOrder-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesIssuerNameNoReverseOrder</h4>
<pre>public&nbsp;void&nbsp;setXadesIssuerNameNoReverseOrder(boolean&nbsp;xadesIssuerNameNoReverseOrder)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesIssuerNameNoReverseOrder</code> - when true, the issuer DN instead of the issuer X500 prinicpal is used</dd>
</dl>
</li>
</ul>
<a name="getSignatureMarshalListener--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureMarshalListener</h4>
<pre>public&nbsp;org.w3c.dom.events.EventListener&nbsp;getSignatureMarshalListener()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the event listener which is active while xml structure for
 the signature is created.
 Defaults to <a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureMarshalListener.html" title="class in org.apache.poi.poifs.crypt.dsig"><code>SignatureMarshalListener</code></a></dd>
</dl>
</li>
</ul>
<a name="setSignatureMarshalListener-org.w3c.dom.events.EventListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureMarshalListener</h4>
<pre>public&nbsp;void&nbsp;setSignatureMarshalListener(org.w3c.dom.events.EventListener&nbsp;signatureMarshalListener)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signatureMarshalListener</code> - the event listener watching the xml structure
 generation for the signature</dd>
</dl>
</li>
</ul>
<a name="getNamespacePrefixes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamespacePrefixes</h4>
<pre>public&nbsp;java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;getNamespacePrefixes()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the map of namespace uri (key) to prefix (value)</dd>
</dl>
</li>
</ul>
<a name="setNamespacePrefixes-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNamespacePrefixes</h4>
<pre>public&nbsp;void&nbsp;setNamespacePrefixes(java.util.Map&lt;java.lang.String,java.lang.String&gt;&nbsp;namespacePrefixes)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>namespacePrefixes</code> - the map of namespace uri (key) to prefix (value)</dd>
</dl>
</li>
</ul>
<a name="getSignatureMethodUri--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureMethodUri</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSignatureMethodUri()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the uri for the signature method, i.e. currently only rsa is
 supported, so it's the rsa variant of the main digest</dd>
</dl>
</li>
</ul>
<a name="getDigestMethodUri--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDigestMethodUri</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDigestMethodUri()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the uri for the main digest</dd>
</dl>
</li>
</ul>
<a name="getDigestMethodUri-org.apache.poi.poifs.crypt.HashAlgorithm-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDigestMethodUri</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getDigestMethodUri(<a href="../../../../../../org/apache/poi/poifs/crypt/HashAlgorithm.html" title="enum in org.apache.poi.poifs.crypt">HashAlgorithm</a>&nbsp;digestAlgo)</pre>
<div class="block">Converts the digest algorithm - currently only sha* and ripemd160 is supported.
 MS Office only supports sha1, sha256, sha384, sha512.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>digestAlgo</code> - the digest algorithm</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the uri for the given digest</dd>
</dl>
</li>
</ul>
<a name="setSignatureMethodFromUri-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureMethodFromUri</h4>
<pre>public&nbsp;void&nbsp;setSignatureMethodFromUri(java.lang.String&nbsp;signatureMethodUri)</pre>
<div class="block">Set the digest algorithm based on the method uri.
 This is used when a signature was successful validated and the signature
 configuration is updated</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signatureMethodUri</code> - the method uri</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.0.0</dd>
</dl>
</li>
</ul>
<a name="setSignatureFactory-javax.xml.crypto.dsig.XMLSignatureFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureFactory</h4>
<pre>public&nbsp;void&nbsp;setSignatureFactory(javax.xml.crypto.dsig.XMLSignatureFactory&nbsp;signatureFactory)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>signatureFactory</code> - the xml signature factory, saved as thread-local</dd>
</dl>
</li>
</ul>
<a name="getSignatureFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSignatureFactory</h4>
<pre>public&nbsp;javax.xml.crypto.dsig.XMLSignatureFactory&nbsp;getSignatureFactory()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the xml signature factory (thread-local)</dd>
</dl>
</li>
</ul>
<a name="setKeyInfoFactory-javax.xml.crypto.dsig.keyinfo.KeyInfoFactory-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setKeyInfoFactory</h4>
<pre>public&nbsp;void&nbsp;setKeyInfoFactory(javax.xml.crypto.dsig.keyinfo.KeyInfoFactory&nbsp;keyInfoFactory)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>keyInfoFactory</code> - the key factory, saved as thread-local</dd>
</dl>
</li>
</ul>
<a name="getKeyInfoFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getKeyInfoFactory</h4>
<pre>public&nbsp;javax.xml.crypto.dsig.keyinfo.KeyInfoFactory&nbsp;getKeyInfoFactory()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the key factory (thread-local)</dd>
</dl>
</li>
</ul>
<a name="getProvider--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProvider</h4>
<pre>public&nbsp;java.security.Provider&nbsp;getProvider()</pre>
<div class="block">This method tests the existence of xml signature provider in the following order:
 <ul>
 <li>the class pointed to by the system property "jsr105Provider"</li>
 <li>the Santuario xmlsec provider</li>
 <li>the JDK xmlsec provider</li>
 </ul>

 For signing the classes are linked against the Santuario xmlsec, so this might
 only work for validation (not tested).</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the xml dsig provider</dd>
</dl>
</li>
</ul>
<a name="getXadesCanonicalizationMethod--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXadesCanonicalizationMethod</h4>
<pre>public&nbsp;java.lang.String&nbsp;getXadesCanonicalizationMethod()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cannonicalization method for XAdES-XL signing.
 Defaults to <code>EXCLUSIVE</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/crypto/dsig/CanonicalizationMethod.html">javax.xml.crypto.dsig.CanonicalizationMethod</a></dd>
</dl>
</li>
</ul>
<a name="setXadesCanonicalizationMethod-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setXadesCanonicalizationMethod</h4>
<pre>public&nbsp;void&nbsp;setXadesCanonicalizationMethod(java.lang.String&nbsp;xadesCanonicalizationMethod)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>xadesCanonicalizationMethod</code> - the cannonicalization method for XAdES-XL signing</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/javax/xml/crypto/dsig/CanonicalizationMethod.html">javax.xml.crypto.dsig.CanonicalizationMethod</a></dd>
</dl>
</li>
</ul>
<a name="isUpdateConfigOnValidate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isUpdateConfigOnValidate</h4>
<pre>public&nbsp;boolean&nbsp;isUpdateConfigOnValidate()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if the signature vlookup.config is to be updated based on the successful validated document</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.0.0</dd>
</dl>
</li>
</ul>
<a name="setUpdateConfigOnValidate-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUpdateConfigOnValidate</h4>
<pre>public&nbsp;void&nbsp;setUpdateConfigOnValidate(boolean&nbsp;updateConfigOnValidate)</pre>
<div class="block">The signature vlookup.config can be updated if a document is succesful validated.
 This flag is used for activating this modifications.
 Defaults to <code>false</code><p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>updateConfigOnValidate</code> - if true, update vlookup.config on validate</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.0.0</dd>
</dl>
</li>
</ul>
<a name="isAllowMultipleSignatures--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAllowMultipleSignatures</h4>
<pre>public&nbsp;boolean&nbsp;isAllowMultipleSignatures()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true, if multiple signatures can be attached</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.1.0</dd>
</dl>
</li>
</ul>
<a name="setAllowMultipleSignatures-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setAllowMultipleSignatures</h4>
<pre>public&nbsp;void&nbsp;setAllowMultipleSignatures(boolean&nbsp;allowMultipleSignatures)</pre>
<div class="block">Activate multiple signatures</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>allowMultipleSignatures</code> - if true, the signature will be added,
          otherwise all existing signatures will be replaced by the current</dd>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>POI 4.1.0</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SignatureConfig.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/RevokedCertificateSecurityException.html" title="class in org.apache.poi.poifs.crypt.dsig"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/apache/poi/poifs/crypt/dsig/SignatureConfig.SignatureConfigurable.html" title="interface in org.apache.poi.poifs.crypt.dsig"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/poi/poifs/crypt/dsig/SignatureConfig.html" target="_top">Frames</a></li>
<li><a href="SignatureConfig.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>
                <i>Copyright 2019 The Apache Software Foundation or
        its licensors, as applicable.</i>
            </small></p>
</body>
</html>
